> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pawapay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Public Keys

Provides the public keys that are used to sign callbacks sent by PawaPay.

Read more about how to use [signatures](/using_the_api#signatures).


## OpenAPI

````yaml openapi_v1 get /public-key/http
openapi: 3.0.0
info:
  title: PawaPay Merchant API v1
  description: Please find complete documentation from https://docs.pawapay.io/.
  version: v1
  x-logo:
    url: >-
      https://global-uploads.webflow.com/62824591015aa314fd308df1/6411b26596e3de3f52551c00_Logopawapay-p-500.png
    href: https://docs.pawapay.io/
    altText: PawaPay logo
servers:
  - url: https://api.sandbox.pawapay.io
    description: PawaPay Merchant API sandbox
  - url: https://api.pawapay.io
    description: PawaPay Merchant API production
security:
  - bearerAuth: []
tags:
  - name: payouts
    x-displayName: Payouts
  - name: deposits
    x-displayName: Deposits
  - name: refunds
    x-displayName: Refunds
  - name: payment-page
    x-displayName: Payment Page
  - name: toolkit
    x-displayName: Toolkit
  - name: wallet-balances
    x-displayName: Wallet balances
paths:
  /public-key/http:
    get:
      tags:
        - toolkit
      summary: Public Keys
      operationId: public_key_http
      responses:
        '200':
          description: If a request has been processed by PawaPay successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicKeyResponse'
              examples:
                Success:
                  value:
                    - id: HTTP_EC_P256_KEY:1
                      key: >
                        -----BEGIN PUBLIC KEY-----

                        MFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEYZe9jhnaZKw9ykMBe2IwRg6AgVMx

                        2JRE3RMIdf4YazZTaQaUO19uDI5UO0QsTG699UeI+emd63/GY1PyOpf1rw==

                        -----END PUBLIC KEY-----
components:
  schemas:
    PublicKeyResponse:
      type: array
      items:
        $ref: '#/components/schemas/PublicKeyResponseItem'
    PublicKeyResponseItem:
      required:
        - id
        - key
      type: object
      properties:
        id:
          type: string
          description: The ID of the public key.
        key:
          type: string
          description: >-
            The public key to use when verifying the signature in a callback
            sent by PawaPay.
  securitySchemes:
    bearerAuth:
      type: http
      description: See [Authentication](/using_the_api#authentication).
      scheme: bearer
      bearerFormat: JWT

````